using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using TEAMModelOS.SDK.Models.Cosmos.Common.Inner;

namespace TEAMModelOS.SDK.Models
{
    /// <summary>
    ///  Teaching materials 教学材料  题目信息
    /// </summary>    
    public class ItemInfo :BaseItem
    {       
        public ItemInfo()
        {
            pk = "Item";
            children = new List<ItemInfo>();
            option = new List<CodeValue>();
            answer = new List<string>();
            knowledge = new List<string>();
            gradeIds = new List<string>();
            repair = new List<Repair>();
        }
        //题干
        [Required(ErrorMessage = "{0} 必须填写")]
        public string question { get; set; }
        // 选项 单选 多选 判断
        public List<CodeValue> option { get; set; }
      
        public List<ItemInfo> children { get; set; }
        
        //使用次数
        public int useCount { get; set; }
        public string blob { get; set; }
        //记录试题大小
        public long? size { get; set; } = 0;
    }
}
